using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WinFrom1;
using WinFrom1.ToFile;

using PTMedicalInsurance.Common;
using PTMedicalInsurance.Business;
using PTMedicalInsurance.Helper;
using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Variables;
using PTMedicalInsurance.Forms;
using System.IO;
using System.Reflection;

namespace PTMedicalInsurance.Forms
{
    public partial class ToRecordChoose : Form
    {
        public ToRecordChoose()
        {
            InitializeComponent();
        }

        public class ComboBoxItem
        {
            private string _text = null;
            private object _value = null;
            public string Text { get { return this._text; } set { this._text = value; } }
            public object Value { get { return this._value; } set { this._value = value; } }
            public override string ToString()
            {
                return this._text;
            }
        }


        private void btn_ToRec_Click(object sender, EventArgs e)
        {
            ToRecordFrom to = new ToRecordFrom();           
            to.ShowDialog();
            to.Focus();
            this.Hide();
        }

        private void btn_ToRecBack_Click(object sender, EventArgs e)
        {
            TableButton toLis = new TableButton("转院备案撤销");
            toLis.Show();
            toLis.Focus();
            this.Hide();
        }

        private void btn_SlowBack_Click(object sender, EventArgs e)
        {
            TableButton toLis = new TableButton("慢特病备案撤销");
            toLis.Show();
            toLis.Focus();
            this.Hide();
        }

        private void btn_DesigBack_Click(object sender, EventArgs e)
        {
            TableButton toLis = new TableButton("定点备案撤销");
            toLis.Show();
            toLis.Focus();
            this.Hide();
        }

        private void btn_Slow_Click(object sender, EventArgs e)
        {
            SlowSpecRecord slow = new SlowSpecRecord();
            slow.Show();
            slow.Focus();
            this.Hide();
        }

        private void btn_Desig_Click(object sender, EventArgs e)
        {
            PerDesigRecord per = new PerDesigRecord();
            per.Show();
            per.Focus();
            this.Hide();
        }
    }
}
